# SecureRTP_UDP Class Reference

`#include <rtp.h>`

Inheritance diagram for SecureRTP_UDP:

List of all members.

## Construction

OpalSecurityMode * | securityParms
| SecureRTP_UDP (const Params &options)
| ~SecureRTP_UDP ()
| Destroy the RTP.
virtual void | SetSecurityMode (OpalSecurityMode *srtpParms)
virtual OpalSecurityMode * | GetSecurityParms () const

## Constructor & Destructor Documentation

SecureRTP_UDP::SecureRTP_UDP | ( | const Params & | options | ) |

Create a new RTP channel.

Parameters:

  options | Parameters to construct with session.

SecureRTP_UDP::~SecureRTP_UDP | ( |  | ) |

Destroy the RTP.

## Member Function Documentation

virtual void SecureRTP_UDP::SetSecurityMode | ( | OpalSecurityMode * | srtpParms | ) | `[virtual]`

virtual OpalSecurityMode* SecureRTP_UDP::GetSecurityParms | ( |  | ) | const`[virtual]`

## Member Data Documentation

OpalSecurityMode* SecureRTP_UDP::securityParms `[protected]`

The documentation for this class was generated from the following file:

- rtp.h